Copyright (c) 2015 Midokura SARL, All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.


Overview
========

This charm installs the Midonet Enterprise Manager which is a web frontend to
interact and peek at the state of your MidoNet deployment.

The web frontend is a rich client side application and is served by nginx. It
reverse-proxies access to the services it needs to operate to comply with the
same origin policy. Those services are:
- keystone
- midonet-api
- neutron

It is possible and advised to make usage of the ssl configuration possibilities
by giving urls where the ssl certificate and key can be retrieved.

The Manager won't be functional until it has joined relations with the services
aforementioned.


Usage
=====

Write a config file like so:
```yaml
mem-manager:
  server-name: example.domain.com
  ssl-certificate-url: http://path_to_my_internal_server/server.crt
  ssl-certificate-key-url: http://path_to_my_internal_server/server.key
  ssl_only: true
```

And then deploy:
```bash
    juju deploy --config myconfig.yaml mem-manager
    juju add-relation mem-manager mem-repository
    juju add-relation mem-manager zookeeper
    juju add-relation mem-manager keystone
    juju add-relation mem-manager midonet-api
```
